> ## Documentation Index
> Fetch the complete documentation index at: https://jetemail.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create suppression rule

> Suppresses outbound mail to the given recipient email.



## OpenAPI

````yaml /openapi.json post /outbound/suppression
openapi: 3.0.0
info:
  title: JetEmail API
  version: 1.0.0
  description: API documentation for JetEmail's transactional email service.
servers:
  - url: https://api.jetemail.com
    description: Production
security:
  - apiKeyAuth: []
externalDocs:
  description: Download OpenAPI Specification
  url: /openapi.json
paths:
  /outbound/suppression:
    post:
      tags:
        - Outbound
      summary: Create suppression rule
      description: Suppresses outbound mail to the given recipient email.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - target_value
              properties:
                target_value:
                  type: string
                  format: email
                  example: user@example.com
                reason:
                  type: string
                  nullable: true
                  example: Spam reports
      responses:
        '200':
          description: Suppression rule created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  rule:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 42
                      target_value:
                        type: string
                        example: user@example.com
                      status:
                        type: integer
                        example: 1
                      created_date:
                        type: string
                        example: '2026-05-11 10:30:00'
        '400':
          description: Invalid body
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: target_value "not-an-email" is not a valid email
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Unauthorized
        '409':
          description: Matching active rule already exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: A matching active suppression rule already exists
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Failed to create suppression rule
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: API key for account management endpoints. Use your api_ prefixed token.

````